#include <common/point.hpp>

Point &Point::operator--(void)
{
	COMMONPOINT::x--;
	COMMONPOINT::y--;
	return *this;
}

Point Point::operator--(int /*prefixDummy*/)
{
	Point prePoint(*this);
  --(*this);
  return prePoint;
}

Point Point::operator++(int /*prefixDummy*/)
{
	Point prePoint(*this);
	++(*this);
	return prePoint;
}

Point Point::operator+(const Point &somePoint)const
{
	Point tmpPoint(*this);
	tmpPoint+=somePoint;
	return tmpPoint;
}

